<template>
  <div class="page">
    <div class="page_layout">
      <van-field
        style="margin-top: 12px"
        :value="info.fbInfo.fbName"
        label="供方名称:"
        :border="false"
        disabled
      />
      <van-field
        :value="info.fbInfo.fbState"
        label="供方状态:"
        :border="false"
        disabled
      />
      <van-field
        :value="info.fbInfo.registeredAddress"
        label="注册地址:"
        :border="false"
        disabled
      />
      <van-field
        style="margin-top: 14px"
        :value="info.fbInfo.taxpayerType"
        label="纳税人类型:"
        :border="false"
        disabled
      />

      <van-field
        :value="info.fbInfo.registeredCapital"
        label="注册资金:"
        :border="false"
        disabled
      />

      <van-field
        style="margin-top: 14px"
        :value="info.fbInfo.warehousingTime"
        label="入库时间:"
        :border="false"
        disabled
      />

      <van-field
        :value="info.fbInfo.warehousingYeas"
        label="入库年限:"
        :border="false"
        disabled
      />
      <van-field
        :value="info.fbInfo.fbCode"
        label="供方编号:"
        :border="false"
        disabled
      />

      <van-field
        :value="info.fbInfo.remark"
        label="备注:"
        :border="false"
        disabled
      />
    </div>
  </div>
</template>

<script>
  import {earnScoreDetail} from './service/getData'
    export default {
        name: "supplierDetailPage",
        data(){
            return{
                id:'',
                info:{}
            }
        },
        created() {
            try {
                EbeiPlugins.setNavigationItemTitle("详情");
            }catch (e) {

            }

            this.id = this.$route.query.id?this.$route.query.id:''
            this.getDetail()
        },
        methods:{
            getDetail(){
                let self = this
                let params = {
                    fbId:self.id
                }
                self.$Spin.show()
                earnScoreDetail(params).then(res=>{
                    self.$Spin.hide()
                    if (res.status==200){
                        self.info = res.data
                    }
                })
            }
        }
    }
</script>

<style scoped lang="less">
 .page{
   background: rgb(249,249,249);
   height: 100vh;
   width: 100%;
   overflow: auto;
 }

  .page_layout{
    background: white;
    width: 100%;
    padding-bottom: 40px;
  }

 /deep/ .van-field__label{
   width: 70px;
 }

 /deep/ .van-cell{
   color: rgb(154,154,154);
   padding: 3px 16px 3px 16px;
 }

 /deep/ .van-field__control{
   color: black;
 }

 /deep/ .van-field__control:disabled{
   -webkit-text-fill-color: black !important;
 }
</style>
